Package org.globus.gsi.stores

# Class ResourceSigningPolicyStore

java.lang.Object
org.globus.gsi.stores.ResourceSigningPolicyStore

All Implemented Interfaces:
  `SigningPolicyStore`

public class ResourceSigningPolicyStore extends Object implements SigningPolicyStore
FILL ME

Author:
  ranantha@mcs.anl.gov

## Constructor Summary

Constructors
Constructor
Description
`ResourceSigningPolicyStore(SigningPolicyStoreParameters param)`
Please use the `Stores` class to generate Key/Cert stores

## Method Summary

Modifier and Type
Method
Description
`SigningPolicy`
`getSigningPolicy(X500Principal caPrincipal)`
JGLOBUS-87

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResourceSigningPolicyStore

public ResourceSigningPolicyStore(SigningPolicyStoreParameters param) throws InvalidAlgorithmParameterException
Please use the `Stores` class to generate Key/Cert stores

Throws:
  `InvalidAlgorithmParameterException`

## Method Details

### getSigningPolicy

public SigningPolicy getSigningPolicy(X500Principal caPrincipal) throws SigningPolicyStoreException
Description copied from interface: `SigningPolicyStore`
JGLOBUS-87

Specified by:
  `getSigningPolicy` in interface `SigningPolicyStore`
Parameters:
  `caPrincipal` - Document Me.
Returns:
  Document Me.
Throws:
  `SigningPolicyStoreException` - Document Me.